<template>
  <div>

    <b-card
      no-body
      class="mb-0"
    >
      
      <div
        class="p-5"

      >
      <role-view-info-card :roleData="role"></role-view-info-card>
           <!-- PERMISSION TABLE -->
          <b-card
          no-body
          class="border mt-1"
          style="max-width: 55rem;"
          >
          <b-card-header class="p-1">
            <b-card-title class="font-medium-2">
              <feather-icon
                icon="LockIcon"
                size="18"
              />
              <span class="align-middle ml-50">Permisos</span>
            </b-card-title>
          </b-card-header>
            <b-card-text>
              <b-col>
                <permissions-table-view :permissions="role.permissions"   ></permissions-table-view>
              </b-col>
            </b-card-text>
          </b-card>
          <hr>
          <div class="roles-table">
            <roles-table></roles-table>
          </div>
      </div>
    </b-card>
    


  </div>
</template>

<script>
import {
  BSidebar, BForm, BFormGroup,BCol, BFormInput, BFormInvalidFeedback, BButton,BTab, BTabs, 
  BCard, BCardHeader, BCardTitle,BAlert, BLink,BTable,BFormCheckbox,BCardText
} from 'bootstrap-vue'
import PermissionsTableView from '../PermissionsTablesView.vue'
import RoleViewInfoCard from './RoleViewInfoCard.vue'
import RolesTable from '../RolesTable.vue'
export default {
  components: {
    BTab,
    BTabs,
    BCard,
    BAlert,
    BLink,
    BSidebar,
    BForm,
    BFormGroup,
    BFormInput,
    BFormInvalidFeedback,
    BButton,
    BTable,
    BFormCheckbox,
    BCardHeader,
    BCardTitle,
    PermissionsTableView,
    BCol,
    BCardText,
    RoleViewInfoCard,
    RolesTable

 
  },

  data(){
    return{
      role:{
        name:'',
        created_at:'',
        permissions:[{permissionId:'1',selected:false},{permissionId:'2',selected:false},{permissionId:'3',selected:false},
          {permissionId:'4',selected:false},{permissionId:'5',selected:false},{permissionId:'6',selected:false},
          {permissionId:'7',selected:false},{permissionId:'8',selected:false},{permissionId:'9',selected:false},
          {permissionId:'10',selected:false},{permissionId:'11',selected:false},{permissionId:'12',selected:false},
          {permissionId:'13',selected:false},{permissionId:'14',selected:false},{permissionId:'15',selected:false},
          {permissionId:'16',selected:false},{permissionId:'17',selected:false},{permissionId:'18',selected:false},
          {permissionId:'19',selected:false},{permissionId:'20',selected:false},{permissionId:'21',selected:false},
          {permissionId:'22',selected:false},{permissionId:'23',selected:false},{permissionId:'24',selected:false},
          {permissionId:'25',selected:false},{permissionId:'26',selected:false},{permissionId:'27',selected:false},
          {permissionId:'28',selected:false},{permissionId:'29',selected:false},{permissionId:'30',selected:false},
          {permissionId:'31',selected:false},

        ],
        role:this.$route.params.id,

      },
   

    }
  },
  methods:{
    
    cancel(){
      this.$router.push({ name: 'apps-roles-list' })
    },
    getRoleData(){
      this.$http.get('roles/show',{params:{role:this.$route.params.id}}).then(res=>{

        let permissions_request = res.data.rolePermissions
        let role_permissions = this.role.permissions

        this.role.name = res.data.roleName

        console.log(res)
          permissions_request.forEach( function(valor, indice, array) {
               role_permissions.forEach( function(valor2, indice2, array2) {
                  if(valor2.permissionId == valor.id){
                    valor2.selected= true
                  }
                });
          });

      })
    },
  },
    mounted(){
      this.getRoleData()
    }



}
</script>

<style>

</style>
